##########################################
# Site Settings

baseURL = "https://openbsd.fr.eu.org/"
title = "OpenBSD Pour Tous 🐡"
languageCode = "fr"
hasCJKLanguage = false
# Copyright information (Markdown supported)
copyright = "[CC 0](https://creativecommons.org/publicdomain/zero/1.0/deed.fr)"

# Name of theme
theme = "meme"

# `hugo new` automatically opened text editor
newContentEditor = "geany"

# i18n
defaultContentLanguage = "fr"
defaultContentLanguageInSubdir = false

# Pluralize titles in lists?
pluralizeListTitles = false

# The length of text in words to show in summary
summaryLength = 42

# Enable Emoji emoticons support?
enableEmoji = false

# Text to display for footnote return links
footnoteReturnLinkContents = "↩"

# Enable `.GitInfo` object for each page?
enableGitInfo = false

# Enable generation of `robots.txt` file?
enableRobotsTXT = true

# Number of items per page in paginated
# lists (valid for the `posts` homepage
# layout in MemE)
paginate = 7

# URL related
disablePathToLower = false
relativeURLs = false
uglyURLs = false

# URL structure
[permalinks]
	posts = "posts/:year/:month/:day/:filename"
    categories = "/categories/:slug/"
    tags = "/tags/:slug/"

# Taxonomies
[taxonomies]
    category = "categories"
    tag = "tags"

# Modified date
[frontmatter]
    lastmod = ["lastmod", ":git", ":fileModTime", ":default"]

# Markdown renderer
[markup]
    defaultMarkdownHandler = "goldmark"
    [markup.goldmark]
        [markup.goldmark.extensions]
            definitionList = true
            footnote = true
            linkify = true
            strikethrough = true
            table = true
            taskList = true
            typographer = true
        [markup.goldmark.parser]
            attribute = true
            autoHeadingID = true
            autoHeadingIDType = "github"
        [markup.goldmark.renderer]
            hardWraps = false
            unsafe = true
            xHTML = false
    [markup.highlight]
        codeFences = true
        guessSyntax = false
        lineNos = true
        lineNumbersInTable = true
        noClasses = false
    [markup.tableOfContents]
        startLevel = 2
        endLevel = 6
        ordered = true

# Author’s information
[author]
    # Name
    name = "OBSD4a"
    # Email
    email = "puffy@openbsd.fr.eu.org"
    # Motto or introduction
    motto = "OpenBSD Pour Tous"
    # Avatar
    avatar = "/Puffy.svg"
    # Personal website, default: baseURL
    website = "https://openbsd.fr.eu.org/"
    # Twitter
    #twitter = "reuixiy"

# Related content
[related]
    threshold = 80
    includeNewer = true
    toLower = true
    [[related.indices]]
        name = "categories"
        weight = 100
    [[related.indices]]
        name = "tags"
        weight = 95
    [[related.indices]]
        name = "date"
        weight = 10
        pattern = "2006"

[mediaTypes]
# MIME type of Atom
[mediaTypes."application/atom+xml"]
    suffixes = ["xml"]
# Gemini
[mediaTypes."text/gemini"]
	suffixes = ["gmi"]

[outputFormats]
# Custom Atom template of MemE
[outputFormats.SectionsAtom]
    mediaType = "application/atom+xml"
    baseName = "atom"

# Custom RSS template of MemE
[outputFormats.SectionsRSS]
    mediaType = "application/rss+xml"
    baseName = "rss"

# Search index for lunr.js
[outputFormats.SearchIndex]
    mediaType = "application/json"
    baseName = "search"

# Gemini
[outputFormats.Gemini]
	isPlainText = true
	isHTML = false
	mediaType = "text/gemini"
	name = "gemini"
	path = "gemini/"
	permalinkable = true
	protocol = "gemini://"	

[outputFormats.GeminiRSS]
	isHTML = false	
	mediaType = "application/rss+xml"
	name = "GeminiRSS"
	protocol = "gemini://"
	path = "gemini/"
	
# Gopher
[outputFormats.Gopher]
	baseName = "index"
	isPlainText = true
	isHTML = false
	mediaType = "text/plain"
	noUgly = false
	path = "gopher/"
	protocol = "gopher://"
	
[outputFormats.GopherMap]
	baseName = "gophermap"
	isPlainText = true
	isHTML = false
	mediaType = "text/plain"
	noUgly = false
	path = "gopher/"
	protocol = "gopher://"

# Hugo’s output control
[outputs]
	home = ["HTML", "gemini", "GeminiRSS", "gophermap", "SectionsAtom", "SectionsRSS", "SearchIndex"]
    page = ["HTML", "gemini", "gopher"]
    section = ["HTML"]
    taxonomy = ["HTML"]
    term = ["HTML"]

# Maximum number of items in the Atom & RSS feed
[services.rss]
    limit = -1



##########################################
# Menu Settings

# MemE supports the following four menus:
# 1. main       Menu bar below the header
#               (center layout) or inside
#               the header (flex layout)
# 2. home       Links at the bottom of the
#               homepage (valid for the
#               `poetry` and `footage`
#               homepage layout)
# 3. socials    Social bar (minimal footer
#               in about page)
# 4. links      Link bar (minimal footer
#               in about page)

# The configuration instructions in the
# menu are as follows:
# url           URL
# name          Text (won’t display if it
#               is left empty("") or does
#               not exist)
# weight        Position
# pre           Type of link (internal or
#               external)
# post          Icon (won’t display if it
#               is left empty("") or does
#               not exist)
# identifier    Icon’s class name
#               (there are three special
#               values for header layout
#               flex: `theme-switcher`,
#               `lang-switcher`, `search`)

[menu]
    ## Menu bar
    # [[menu.main]]
    #     url = "/"
    #     name = "Home"
    #     weight = 1
    #     pre = "internal"
    #     post = "home"
    [[menu.main]]
        url = "/posts/"
        name = "Posts"
        weight = 2
        pre = "internal"
        post = "archive"
    [[menu.main]]
        url = "/categories/"
        name = "Categories"
        weight = 3
        pre = "internal"
        post = "th"
    [[menu.main]]
        url = "/tags/"
        name = "Tags"
        weight = 4
        pre = "internal"
        post = "tags"
    [[menu.main]]
        url = "/about/"
        name = "About"
        weight = 5
        pre = "internal"
        post = "user-circle"
    [[menu.main]]
        weight = 6
        identifier = "theme-switcher"
    [[menu.main]]
        weight = 7
        identifier = "lang-switcher"
    [[menu.main]]
		identifier = "forum"
		name = "Forum"
		url = "https://forum.openbsd.fr.eu.org"
		weight = 8
	[[menu.main]]	    
	    identifier = "ml"
	    name = "ML"
	    url = "/liste/"
		weight = 9
	[[menu.main]]	    
	    identifier = "wiki"
	    name = "Wiki"
	    url = "https://wiki.openbsd.fr.eu.org"
		weight = 10
	[[menu.main]]
        weight = 20
        identifier = "search"
        post = "search"

##########################################
# Theme Settings

[params]
    ######################################
    # Header

    enableHeader = true

    displayHeaderInHome = true
    # Note: invalid for header layout flex

    headerBackground = "linear-gradient(90deg, #f795331a 0, #f370551a 15%, #ef4e7b1a 30%, #a166ab1a 44%, #5073b81a 58%, #1098ad1a 72%, #07b39b1a 86%, #6dba821a 100%)"
    # Note: https://developer.mozilla.org/en-US/docs/Web/CSS/background

    headerLayout = "flex"
    # Note: center or flex

    # Hide menu bar and display a toggle
    # on narrow screen?
    enableNavToggle = true

    navHeight = "10em"
    # Note: menu bar height when it’s
    #       toggled


    ######################################
    # Brand Bar (inside header)

    # Use SVG?
    siteBrandSVG = false
    # If true, put your SVG in the `SVG.toml`
    # file and configure the following options.
    # Unit: px
    siteBrandSVGWidth = 250
    siteBrandSVGHeight = 100
    siteBrandSVGFill = "#fff"
    # If false, your site title will be
    # used as the default and displayed as
    # text. The font size and font color
    # can be configured below. The font
    # family can be configured in typography
    # section at the bottom of this file.
    # Unit: em
    siteBrandFontSize = 1
    siteBrandFontColor = "var(--color-contrast-high)"


    ######################################
    # Menu Bar

    enableMenu = true
    # Note: invalid for header layout flex

    displayMenuInHome = true
    # Note: invalid for header layout flex

    # Highlight current menu item by section?
    activeInSection = false
    # Note: if true, the menu item in the
    #       post page will be highlighted
    #       also if that post’s section is
    #       the `url` of that menu item


    ######################################
    # Homepage Layout

    # For homepage layout, MemE has the
    # following four different types:
    # 1. poetry    A few lines of verse
    # 2. footage   With fullscreen background videos
    # 3. posts     List of post’s summary
    # 4. page      Normal page/post

    homeLayout = "posts"

    ## Poetry
    # Verse (Markdown supported)
    homePoetry = []
    # Padding of links at the bottom
    # Unit: em
    homeLinksPadding = 1

    ## Footage
    homePoster = ""
    homeVideoWebm = ""
    homeVideoMp4 = ""
    homeLogo = "/Puffy.svg"
    homeLogoLink = "openbsd.fr.eu.org"
    homeTitle = "OpenBSD Pour Tous"
    homeMotto = "OpenBSD Pour Tous"
    homeDescription = "Site de la communauté francophone 'OpenBSD Pour Tous'"
    homeKeywords = "OpenBSD,fr,France"
    homeLinksDelimiter = ""


    ######################################
    # Site Info

    siteLogo = "/Puffy.svg"
    # Note: used for JSON-LD, Open Graph

    siteDescription = "OBSD4* : Site de la communauté francophone autour d'OpenBSD."
    # Note: used for HTML head meta, JSON-LD,
    #       Open Graph, Atom, RSS

    siteCreatedTime = "2016-09-01T01:01:01+00:00"
    # ATTENTION: keep this format, change
    #            the number

    #siteTwitter = "reuixiy"
    # Note: used for Twitter Cards


    ######################################
    # Category By

    # MemE supports category by:
    # 1. sections
    # 2. categories
    # The sections is based on the site’s
    # `content` directory structure; the
    # categories is based on the post’s
    # Front Matter. First of all, category
    # means tree structure (nested, with
    # sub-category). To achieve it, Hexo
    # uses the second method, while Hugo
    # uses the first method. Due to the
    # different design philosophy, the
    # difference between Hexo and Hugo has
    # been made. Therefore, this option
    # was designed here to be user friendly
    # to those who come from Hexo. But note
    # that the second method cannot be
    # implemented perfectly in Hugo. I
    # recommended you adapt to Hugo’s design
    # philosophy if you want to keep the
    # tree organization structure of your
    # posts.

    categoryBy = "categories"
    # ATTENTION: If you set it to `sections`,
    #            be sure to delete `categories`
    #            in `taxonomies` at the top
    #            of this file. Otherwise,
    #            the categories page will
    #            be invalid. Also, you need
    #            to create a new
    #            `content/categories/_index.md`
    #            file by yourself.


    ######################################
    # Categories Page

    # Enable tree structure layout?
    enableTree = true
    # ATTENTION: This option cannot be
    #            disabled if you set
    #            `categoryBy` to `sections`

    # Display title of posts?
    displayPosts = true

    # Display count of posts under each
    # category?
    displayPostsCount = true

    # Set to a non-negative number to limit
    # the number of posts displayed per
    # category/section.
    limitPostsLimit = -1


    ######################################
    # Tags Page

    enableTagCloud = true

    fontUnit = "em"
    largestFontSize = 2.5
    smallestFontSize = 1


    ######################################
    # List Page

    listWidth = 36
    # Note: you can leave it empty("") to
    #       fallback to the default value: 42
    #       Unit: em

    displayListTitle = true

    listDateFormat = "January 2"
    # ATTENTION: be sure to follow the
    #            specified format
    #            https://gohugo.io/functions/format/

    listDatePosition = "right"
    # Note: left or right

    # Separate the list by month?
    groupByMonth = true

    # Enable Chinese zodiac?
    chineseZodiac = false

    # Translate the year? (valid for title)
    i18nYear = true
    # Translate the month? (valid for title)
    i18nMonth = true


    ######################################
    # Taxonomy List Page

    # Note: for categories page, you can
    #       set `enableTree` to false to
    #       get a normal taxonomy list
    #       page; for tags page, you can
    #       set `enableTagCloud` to false
    #       to get a normal taxonomy list
    #       page.

    # Display count of posts in each
    # taxonomy term?
    displayTaxonomyTermCount = true

    # Set to a non-negative number to limit
    # the number of posts displayed per
    # taxonomy term.
    limitEntriesLimit = -1


    ######################################
    # Post Sections

    # Note: the name of the section is the
    #       name of the folder under the
    #       site’s `content` directory.

    mainSections = ["posts"]


    ######################################
    # Atom & RSS

    # Include full content?
    includeContent = true
    # Note: If false, only the summary of
    #       the post will be included. The
    #       summary, Hugo automatically
    #       takes the first 70 words (you
    #       can customize this via
    #       `summaryLength`) of your content
    #       as its summary by default.
    #       Alternatively, you may use the
    #       <!--more--> (with no whitespace)
    #       summary divider to split summary
    #       manually. Or use the `summary`
    #       variable in post’s Front
    #       Matter to assign it manually.
    #       The priority of them: assign
    #       manually > split manually >
    #       split automatically. Additionally,
    #       `description` in post’s Front
    #       Matter has a higher priority
    #       than assign manually in the
    #       custom Atom & RSS template of
    #       MemE.


    ######################################
    # Dark Mode

    enableDarkMode = true

    defaultTheme = "dark"
    # Note: light or dark

    hideThemeToggle = false
    hideThemeToggleInHome = false
    # Note: If dark mode is enabled and
    #       theme toggle is hidden, your
    #       readers may still read your
    #       blog in dark mode if the
    #       reader’s system is set to dark
    #       mode. Similarly, if dark mode
    #       is enabled and is set to the
    #       default theme, your readers
    #       may still read your blog in
    #       light mode, even if you have
    #       hidden the theme toggle.
    #       Unless you enable the following
    #       option.

    overrideSystemPreferences = true


    ######################################
    # Web App

    # Note: go to https://realfavicongenerator.net/
    #       to generate related icons and
    #       files, unzip after downloading,
    #       and keep only android-chrome-512x512.png,
    #       apple-touch-icon.png, mstile-150x150.png,
    #       safari-pinned-tab.svg, favicon.ico,
    #       site.webmanifest these files,
    #       delete the rest. Then move
    #       these files to the ~/blog/static/icons/
    #       directory, move favicon.ico,
    #       site.webmanifest to the ~/blog/static/
    #       directory, and finally rename
    #       site.webmanifest to manifest.json,
    #       and check and modify related
    #       content (the path of the icons).

    themeColor = "#fff"
    themeColorDark = "#16171d"
    safariMaskColor = "#2a6df4"
    msApplicationTileColor = "#fff"


    ######################################
    # HTML Head Meta, SEO & Social Discovery

    jsonLD = true
    openGraph = true
    twitterCards = true
    # ATTENTION: If you set twitterCards
    #            to `true`, be sure to
    #            enable openGraph also.
    #            Otherwise, the Twitter
    #            Cards info will be
    #            incomplete.

    autoDetectImages = true
    # Note: It is recommended to enable it.
    #       Otherwise, you must manually
    #       specify `images` in post’s
    #       Front Matter or links you
    #       shared on social networks or
    #       APPs will not be able to
    #       display a summary view with a
    #       large image.


    ######################################
    # Service Worker

    # Note: render only in production
    #       environment

    enableServiceWorker = false


    ######################################
    # KaTeX (chemical equation supported)

    enableKaTeX = false
    # Note: *global settings*
    #       `katex` in post’s Front Matter
    #       has a higher priority than here


    ######################################
    # MathJax (chemical equation supported)

    enableMathJax = false
    # Note: *global settings*
    #       `mathjax` in post’s Front Matter
    #       has a higher priority than here

    disableMathJaxMenu = false


    ######################################
    # Mermaid (https://github.com/mermaid-js/mermaid)

    enableMermaid = false
    # Note: *global settings*
    #       `mermaid` in post’s Front Matter
    #       has a higher priority than here

    mermaidTheme = 'default'
    mermaidThemeDark = 'dark'


    ######################################
    # Comments

    # Note: render only in production
    #       environment

    enableComments = false
    # Note: *global settings*
    #       `comments` in post’s Front Matter
    #       has a higher priority than here

    ## Disqus
    enableDisqus = false
    disqusShortname = ""

    ## Valine
    enableValine = false
    valineAppId = ""
    valineAppKey = ""
    valinePlaceholder = "Just go go"
    valinePath = ""
    valineAvatar = "mm"
    valineMeta = ["nick", "mail", "link"]
    valinePageSize = 10
    valineLang = "en"
    valineVisitor = false
    valineHighlight = true
    valineAvatarForce = false
    valineRecordIP = false
    valineServerURLs = ""
    valineEmojiCDN = ""
    valineEmojiMaps = {}
    valineEnableQQ = false
    valineRequiredFields = []
    # Note: https://valine.js.org/

    ## Utterances
    enableUtterances = false
    utterancesRepo = ""
    utterancesIssueTerm = "pathname"
    utterancesTheme = "github-light"
    utterancesThemeDark = "photon-dark"
    utterancesLabel = ""
    # Note: https://utteranc.es/


    ######################################
    # Google Analytics

    # Note: render only in production
    #       environment

    enableGoogleAnalytics = false

    trackingCodeType = "gtag"
    # Note: gtag or analytics

    trackingID = ""


    ######################################
    # Google Site Verification

    googleSiteVerification = ""


    ######################################
    # Google AdSense

    # Note: render only in production
    #       environment

    googleAdClient = ""

    ## Auto Ads
    enableGoogleAutoAds = false

    ## Ad Units
    enableGoogleAdUnits = false
    googleAdSlot = ""


    ######################################
    # Post Settings

    # The color change duration of the
    # hyperlink (in seconds)
    duration = 0.5

    # Primary color of light mode
    primaryColorLight = "220, 90%, 56%"
    # Primary color of dark mode
    primaryColorDark = "201, 65%, 62%"
    # ATTENTION: only HSL color values ​​are
    #            supported

    # The content width of the post
    postWidth = 36
    # Note: you can leave it empty("") to
    #       fallback to the default value: 42
    #       Unit: em

    # Is the post original?
    original = true
    # Note: will affect the author and
    #       copyright information of the
    #       post
    #       *global settings*
    #       `original` in post’s Front Matter
    #       has a higher priority than here


    ######################################
    # Post Description

    displayPostDescription = true


    ######################################
    # Post Meta Info

    enablePostMeta = true
    # Note: *global settings*
    #       `meta` in post’s Front Matter
    #       has a higher priority than here

    enablePostMetaInHome = true
    # Note: valid for the `posts` and
    #       `page` homepage layout only

    postMetaDateFormat = "2006.1.2"
    # ATTENTION: be sure to follow the
    #            specified format
    #            https://gohugo.io/functions/format/

    displayPublishedDate = true
    publishedDateIcon = "calendar-alt"

    displayModifiedDate = true
    modifiedDateIcon = "calendar-check"

    displayExpiredDate = true
    expiredDateIcon = "calendar-times"

    displayCategory = true
    categoryIcon = "folder"
    categoryDelimiter = "/"

    displayWordCount = true
    wordCountIcon = "pencil-alt"

    displayReadingTime = true
    readingTimeIcon = "clock"

    displayBusuanziPagePV = false
    busuanziPagePVIcon = "eye"
    # Note: render only in production
    #       environment
    #       Homepage is not supported yet
    #       https://busuanzi.ibruce.info/


    ######################################
    # Markdown Related

    # Open external links in a new tab?
    hrefTargetBlank = true


    ######################################
    # Table of Contents

    enableTOC = true
    # Note: *global settings*
    #       `toc` in post’s Front Matter
    #       has a higher priority than here

    displayTOCTitle = true

    displayTOCNum = true
    # Note: *global settings*
    #       `tocNum` in post’s Front Matter
    #       has a higher priority than here

    linkHeadingsToTOC = true


    ######################################
    # Headings Anchor

    enableHeadingsAnchor = true

    # Level range of headings
    headingsOpt = "1-6"
    # Note: regex format, default value
    #       is 1-6, which is 1|2|3|4|5|6,
    #       which is h1 to h6.

    anchorSymbol = "#"
    # Note: the anchorIcon has a higher
    #       priority than anchorSybol
    #       Default: §

    anchorIcon = "link"
    # Note: you can leave it empty("") to
    #       fallback to the anchorSymbol

    enableAnchorLink = true

    enableAnchorAutoHide = true


    ######################################
    # Caption

    enableCaption = true

    captionPrefix = "◎ "


    ######################################
    # Image Hosting

    # Note: render only in production
    #       environment
    #
    #       only support absolute URLs
    #       relative to root, e.g.
    #       /images/meme.jpg
    #       (~/blog/static/images/meme.jpg)

    enableImageHost = false

    imageHostURL = "https://example.com/"

    # Replace the image link in the HTML
    # head meta also?
    headAlso = false


    ######################################
    # Video Hosting

    # Note: render only in production
    #       environment
    #
    #       only support absolute URLs
    #       relative to root, e.g.
    #       /videos/meme.mp4
    #
    #       and the HTML code you add must
    #       start with `<video src="`

    enableVideoHost = false

    videoHostURL = "https://example.com/"


    ######################################
    # Footnotes

    # Use the square brackets to wrap
    # the reference number?
    squareBrackets = true

    # Replace the text in footnote return
    # link with icon?
    footnoteReturnLinkIcon = "angle-up"
    # Note: will replace
    #       `footnoteReturnLinkContents`
    #       with icon if it’s not
    #       empty("")

    # Insert horizontal rule by yourself?
    insertHrBySelf = true
    # Note: If true, the automatically
    #       generated horizontal rule
    #       (<hr>) will be removed. In
    #       fact, the horizontal rule you
    #       added will be removed. This
    #       option is very useful if you
    #       prefer to add `---` to separate
    #       the content from the footnote
    #       in the Markdown file.


    ######################################
    # Typography

    ######################################
    ## Font Family

    # Note: any option is empty(""),
    #       fallback to `fontFamilyBody`
    #       it will. Therefore, it is not
    #       necessary to set all.
    #       Additionally, you can leave
    #       `fontFamilySiteBrand` empty("")
    #       if you use SVG as your site
    #       brand.

    # Site brand
    fontFamilySiteBrand = ""
    # Menu bar
    fontFamilyMenu = ""
    # Post title, post subtitle, list title, year and month title of the list, related posts title, previous/next post title, header of table, term/name in a definition list
    fontFamilyTitle = "'Comfortaa', sans-serif"
    # Headings, toc title
    fontFamilyHeadings = "'Comfortaa', sans-serif"
    # Code, superscript, post meta info, post updated badge, post gitinfo, minimal footer, busuanzi site view counter
    fontFamilyCode = "'Source Code Pro', monospace"
    # Blockquotes
    fontFamilyQuote = ""
    # Table of contents
    fontFamilyTOC = ""
    # Caption
    fontFamilyCaption = ""
    # Footer
    fontFamilyFooter = ""
    # Body
    fontFamilyBody = "'IBM Plex Serif', serif"

    # Embed fonts link
    fontsLink = "https://fonts.googleapis.com/css2?family=IBM+Plex+Serif:ital,wght@0,400;0,500;0,700;1,400;1,700&family=Source+Code+Pro:ital,wght@0,400;0,700;1,400;1,700&family=Comfortaa:wght@700&display=swap"
    # Note: In order for the reader to
    #       experience the fonts you set,
    #       it is best to use web fonts.
    #       MemE currently only supports
    #       Google Fonts, please go to
    #       https://fonts.google.com/ to
    #       get the link. If this is left
    #       empty(""), web fonts will not
    #       be used.

    ######################################
    ## Font Size (unit: px)

    fontSize = 18

    ######################################
    ## Tab Size

    tabSize = 4

    ######################################
    ## Line Height

    lineHeight = 1.618
    # Note: apply to post paragraph & toc
    #       only

    ######################################
    ## Paragraph Indents

    enableParagraphIndent = true

    indentFirstParagraph = false
    # Note: *global settings*
    #       `indentFirstParagraph` in post’s Front Matter
    #       has a higher priority than here

    paragraphStyle = "margin"
    # Note: margin or indent
    #       *global settings*
    #       `indent` in post’s Front Matter
    #       has a higher priority than here

    ######################################
    ## Text Justification

    enableJustify = true
    # Note: *global settings*
    #       `align` in post’s Front Matter
    #       has a higher priority than here

    ######################################
    ## Drop Cap

    enableDropCap = true
    # Note: *global settings*
    #       `dropCap` in post’s Front Matter
    #       has a higher priority than here

    # Enable drop cap after every
    # horizontal rule tag?
    enableDropCapAfterHr = false
    # Note: *global settings*
    #       `dropCapAfterHr` in post’s Front Matter
    #       has a higher priority than here

    # Delete horizontal rule tag before
    # drop cap?
    deleteHrBeforeDropCap = false
    # Note: *global settings*
    #       `deleteHrBeforeDropCap` in post’s Front Matter
    #       has a higher priority than here

    ######################################
    ## Small Caps

    enableSmallCaps = true
    # Note: apply to headings & post toc
    #       title only
    #       *global settings*
    #       `smallCaps` in post’s Front Matter
    #       has a higher priority than here

    ######################################
    ## Emphasis Point (Chinese)

    # Note: new Markdown syntax created by MemE
    #       `..文本..`

    enableEmphasisPoint = false

    ######################################
    ## Chinese Punctuation Glyph Correction

    enableChinesePunctuationGlyphCorrection = false


    ######################################
    # Post Copyright

    enablePostCopyright = true

    displayPostCopyright = true
    # Note: *global settings*
    #       `displayCopyright` in post’s Front Matter
    #       has a higher priority than here


    ######################################
    # Post Updated Badge

    enablePostUpdatedBadge = true

    displayUpdatedBadge = true
    # Note: *global settings*
    #       `badge` in post’s Front Matter
    #       has a higher priority than here

    # Add `title` attribute?
    enableBadgeTitle = true
    badgeTitlePrefix = "Updated @ "


    ######################################
    # Post Gitinfo

    enablePostGitInfo = false

    displayPostGitInfo = false
    # Note: *global settings*
    #       `gitinfo` in post’s Front Matter
    #       has a higher priority than here

    repoURL = ""
    repoEditURL = ""

    gitIcon = "code-branch"
    displayCommitHash = true

    displayCommitMessage = true
    msgIcon = "info"

    displayFeedback = true
    feedbackIcon = "question"
    feedbackText = "Feedback"

    displayEditLink = true
    editIcon = "edit"
    editText = "Edit Me?"


    ######################################
    # Post Share

    enablePostShare = true

    displayPostShare = true
    # Note: *global settings*
    #       `share` in post’s Front Matter
    #       has a higher priority than here

    displayShareOnText = false

    shareOnTwitter = false
    shareOnFacebook = false
    shareOnLinkedIn = false
    shareOnTelegram = true
    shareOnWeibo = false
    shareOnDouban = false
    shareOnQQ = false
    shareOnQzone = false

    shareViaQRCode = true


    ######################################
    # Related Posts

    enableRelatedPosts = true

    displayRelatedPosts = true
    # Note: *global settings*
    #       `related` in post’s Front Matter
    #       has a higher priority than here

    relatedPostsNumber = 5

    relatedPostsIcon = "plus-circle"


    ######################################
    # Post Tags

    enablePostTags = true

    postTagsIcon = "tag"


    ######################################
    # Previous/Next Post

    # Note: In MemE, it is designed from a
    #       spatial perspective rather
    #       than a time perspective like
    #       most other themes do.
    #       Therefore, you will get a
    #       newer post if you click prev
    #       on the left; you will get an
    #       older post if you click next
    #       on the right.

    enablePostNav = true

    # Apply to posts that below the same
    # top level section only?
    postNavInSection = true


    ######################################
    # Minimal Footer

    enableMinimalFooter = false
    enableVerticalBarStructure = false
    # Note: If you enable this, the
    #       categories or sections that
    #       displayed on the right will
    #       include all top-level
    #       categories or sections and are
    #       separated by vertical bar(|).

    enableAboutPageMinimalFooter = false


    ######################################
    # Back to Top

    enableBackToTop = true

    enableBackToTopAutoHide = true

    displayBackToTopInHome = true

    backToTopIcon = "arrow-up"


    ######################################
    # Footer

    enableFooter = true

    displayFooter = true

    displayFooterInHome = true

    displayCopyrightSymbol = true

    displaySiteCreatedYear = true

    # Leave it empty("") if you don’t want
    # the icon
    iconBetweenYearAndAuthor = "home"
    iconColor = "#fef58d"
    # Enable heartbeat animation?
    iconAnimation = true

    # Display links to Hugo and MemE?
    displayPoweredBy = true

    displaySiteCopyright = true

    # Custom Footer (Markdown supported)
    customFooter = "Flux [Atom](/atom.xml), [RSS](/rss.xml)<br>[![Patron Liberapay](https://img.shields.io/liberapay/patrons/OpenBSD-fr.svg?logo=liberapay)](/donate)"

    displayBusuanziSiteUVAndPV = false
    busuanziSiteUVText = "Site UV"
    busuanziSiteUVIcon = "user"
    busuanziSitePVText = "Site PV"
    busuanziSitePVIcon = "eye"
    # Note: render only in production
    #       environment
    #       Leave it empty("") if you
    #       don’t need the text or icon
    #       https://busuanzi.ibruce.info/

    # Socials
    enableSocials = false
    # Note: see data/Socials.toml


    ######################################
    # Multilingual

    enableLangToggle = false

    hideLangToggleInHome = false

    autoHideLangToggle = true
    # Note: in other words, the toggle is
    #       displayed only when the post
    #       has a translated version


    ######################################
    # Code Blocks

    enableHighlight = true

    enableOverflowY = true
    maxHeight = 20
    # Unit: em

    enableCopy = true
    enableCopyAutoHide = true


    ######################################
    # Fingerprinting and SRI

    # Note: valid for CSS and JS generated
    #       by MemE only

    enableFingerprint = true

    enableSRI = false
    # Note: subresource integrity will
    #       block MemE CSS and JS on third
    #       party websites like Google
    #       Translate. To prevent this,
    #       your server has to send the
    #       following header for CSS and
    #       JS requests:
    #
    #       Access-Control-Allow-Origin: *


    ######################################
    # Force HTTPS Redirection

    # Note: render only in production
    #       environment

    enableForceHTTPS = false
    # Note: use JavaScript for redirection.
    #       You can enable this if your
    #       server does not support forced
    #       HTTPS.


    ######################################
    # Smooth Scroll

    enableSmoothScroll = true


    ######################################
    # Medium Zoom

    enableMediumZoom = true
    # Note: https://github.com/francoischalifour/medium-zoom


    ######################################
    # Instant Page

    enableInstantPage = true
    # Note: https://github.com/instantpage/instant.page


    ######################################
    # Lunr search

    # Note: This requires SearchIndex
    # output to be enabled.

    enableLunrSearch = true
    # Note: https://lunrjs.com/


    ######################################
    # 404 Page

    fofPoster = ""

    fofVideoWebm = ""
    fofVideoMp4 = ""
    # Note: you can leave these two
    #       options empty("")
